View Issue Details

IDProjectCategoryView StatusLast Update
0035574FPCDocumentationpublic2019-05-17 13:59
ReporterKai BurghardtAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionreopened 
Platformx86_64OSGNU/LinuxOS Version4.2.0
Product Version3.0.4Product Build3.0.4+dfsg-11 [2017/12/30] 
Target VersionFixed in Version3.3.1 
Summary0035574: reference guide: typos
Description• use proper quotation marks [`` and '' instead of plain single ' or "]
• insert blank in abbreviations [i.e. becomes i.\,e.] (narrow non-breaking space)
• insert backslash at periods not terminating sentences, but detected as such
• use proper en-dashes for parenthesis [“ - ” becomes “~-- ”]
• strip trailing blanks s/ *$//g (there were no HTs)
• eliminate blank before colons introducing lists/definitions
• spell out numbers below 13, if they aren’t a date
• use en-dash for ranges
• (use minus sign U+2212) workaround: inline math-mode $-$
• two occurrences flavour → flavor (cf. 0035265)
• minimalize → minimize
• “will increase P with 4” → “will increase P by 4”
Tagsdocumentation
Fixed in Revision1607
FPCOldBugId
FPCTarget3.2.0
Attached Files

Activities

Kai Burghardt

2019-05-12 18:14

reporter  

ref.tex.patch (274,268 bytes)

Michael Van Canneyt

2019-05-15 08:54

administrator   ~0116202

Can you please remake the patch ?

I can't apply it as is, because I don't see what is actually changed.
the patch is 275k, over 6000 lines, and the first 10 diffs I checked had no changes I could detect.

I suspect there have been line ending changes and that this is why the patch is so huge.

Michael Van Canneyt

2019-05-15 08:58

administrator   ~0116203

I suspect the
• strip trailing blanks s/ *$//g (there were no HTs)
is responsible for the huge patch.

Really bad idea to mix this with other changes.

Michael Van Canneyt

2019-05-15 09:14

administrator   ~0116204

Never mind creating a new patch.

I found a way to split the patch in 2 patches, one for text changes, one for the space-at-eol.

In future, please try to keep patches small. I will apply them faster if they are smaller.

We do check the patches, and the smaller they are, the easier they can be checked :)

Anyway, thanks for the work, it's an improvement !

Kai Burghardt

2019-05-17 13:19

reporter   ~0116235

Sorry. My git hides white-space changes by default. Next time I’ll ensure massive changes are split apart. I didn’t know it could pose a problem.

Michael Van Canneyt

2019-05-17 13:59

administrator   ~0116236

It is OK. Just something to keep in mind...

Issue History

Date Modified Username Field Change
2019-05-12 18:14 Kai Burghardt New Issue
2019-05-12 18:14 Kai Burghardt Status new => assigned
2019-05-12 18:14 Kai Burghardt Assigned To => Michael Van Canneyt
2019-05-12 18:14 Kai Burghardt File Added: ref.tex.patch
2019-05-12 18:14 Kai Burghardt Tag Attached: documentation
2019-05-15 08:54 Michael Van Canneyt Note Added: 0116202
2019-05-15 08:55 Michael Van Canneyt Status assigned => feedback
2019-05-15 08:55 Michael Van Canneyt FPCTarget => -
2019-05-15 08:58 Michael Van Canneyt Note Added: 0116203
2019-05-15 09:14 Michael Van Canneyt Status feedback => resolved
2019-05-15 09:14 Michael Van Canneyt Resolution open => fixed
2019-05-15 09:14 Michael Van Canneyt Fixed in Version => 3.3.1
2019-05-15 09:14 Michael Van Canneyt Fixed in Revision => 1607
2019-05-15 09:14 Michael Van Canneyt FPCTarget - => 3.2.0
2019-05-15 09:14 Michael Van Canneyt Note Added: 0116204
2019-05-17 13:19 Kai Burghardt Status resolved => feedback
2019-05-17 13:19 Kai Burghardt Resolution fixed => reopened
2019-05-17 13:19 Kai Burghardt Note Added: 0116235
2019-05-17 13:59 Michael Van Canneyt Status feedback => resolved
2019-05-17 13:59 Michael Van Canneyt Note Added: 0116236